<?
if (!isset($user) && !isset($_GET['id_user'])){header("Location: /foto/?".SID);exit;}
if (isset($user))$ank['id']=$user['id'];
if (isset($_GET['id_user']))$ank['id']=$_GET['id_user'];

$ank=get_user($ank['id']);
if (!$ank){header("Location: /foto/?".SID);exit;}

$gallery['id']=intval($_GET['id_gallery']);

if (mysql_result(mysql_query("SELECT COUNT(*) FROM `gallery` WHERE `id` = '$gallery[id]' AND `id_user` = '$ank[id]' LIMIT 1"),0)==0){header("Location: /foto/$ank[id]/?".SID);exit;}
$gallery=mysql_fetch_assoc(mysql_query("SELECT * FROM `gallery` WHERE `id` = '$gallery[id]' AND `id_user` = '$ank[id]' LIMIT 1"));

$foto['id']=intval($_GET['id_foto']);

if (mysql_result(mysql_query("SELECT COUNT(*) FROM `gallery_foto` WHERE `id` = '$foto[id]' LIMIT 1"),0)==0){header("Location: /foto/$ank[id]/$gallery[id]/?".SID);exit;}
$foto=mysql_fetch_assoc(mysql_query("SELECT * FROM `gallery_foto` WHERE `id` = '$foto[id]'  LIMIT 1"));

$set['title']=$ank['nick'].' - '.$gallery['name'].' - '.$foto['name']; // заголовок страницы

include_once '../sys/inc/thead.php';
title();
if (user_access('foto_foto_edit') && $ank['level']>$user['level'] || isset($user) && $ank['id']==$user['id'])
include_once 'inc/gallery_show_foto_act.php';

if (isset($user) && $user['id']!=$ank['id'] && $user['balls']>=0 && $user['rating']>=0 && mysql_result(mysql_query("SELECT COUNT(*) FROM `gallery_rating` WHERE `id_user` = '$user[id]' AND `id_foto` = '$foto[id]'"), 0)==0)
{

if(isset($_GET['rating']) && $_GET['rating']=='1'){
$ratfoto1="Обитатель [url=/info.php?id=$user[id]]$user[nick][/url] , Проголосовал за одну из ваших фотографии ([url=/foto/$ank[id]/$gallery[id]/$foto[id]/]$foto[name][/url]).  Оценка на +1";


mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$ank[id]', '$ratfoto1', '$time', '$kto')");


mysql_query("UPDATE `gallery_foto` SET `rating` = '".($foto['rating']+1)."' WHERE `id` = '$foto[id]' LIMIT 1",$db);
mysql_query("INSERT INTO `gallery_rating` (`id_user`, `id_foto`) values('$user[id]', '$foto[id]')",$db);
msg ('Ваш положительный отзыв принят');$foto=mysql_fetch_array(mysql_query("SELECT * FROM `gallery_foto` WHERE `id` = $foto[id] LIMIT 1"));}

if(isset($_GET['rating']) && $_GET['rating']=='2'){
$ratfoto2="Обитатель [url=/info.php?id=$user[id]]$user[nick][/url], Проголосовал за одну из ваших фотографии ([url=/foto/$ank[id]/$gallery[id]/$foto[id]/]$foto[name][/url]).  Оценка на +2";

mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$ank[id]', '$ratfoto2', '$time')");

mysql_query("UPDATE `gallery_foto` SET `rating` = '".($foto['rating']+2)."' WHERE `id` = '$foto[id]' LIMIT 1",$db);
mysql_query("INSERT INTO `gallery_rating` (`id_user`, `id_foto`) values('$user[id]', '$foto[id]')",$db);
msg ('Ваш положительный отзыв принят');$foto=mysql_fetch_array(mysql_query("SELECT * FROM `gallery_foto` WHERE `id` = $foto[id] LIMIT 1"));}

if(isset($_GET['rating']) && $_GET['rating']=='3'){
$ratfoto3="Обитатель [url=/info.php?id=$user[id]]$user[nick][/url] , Проголосовал за одну из ваших фотографии ([url=/foto/$ank[id]/$gallery[id]/$foto[id]/]$foto[name][/url]).  Оценка на +3";
mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$ank[id]', '$ratfoto3', '$time')");

mysql_query("UPDATE `gallery_foto` SET `rating` = '".($foto['rating']+3)."' WHERE `id` = '$foto[id]' LIMIT 1",$db);
mysql_query("INSERT INTO `gallery_rating` (`id_user`, `id_foto`) values('$user[id]', '$foto[id]')",$db);
msg ('Ваш положительный отзыв принят');$foto=mysql_fetch_array(mysql_query("SELECT * FROM `gallery_foto` WHERE `id` = $foto[id] LIMIT 1"));}

if(isset($_GET['rating']) && $_GET['rating']=='4'){
$ratfoto4="Обитатель [url=/info.php?id=$user[id]]$user[nick][/url] , Проголосовал за одну из ваших фотографии ([url=/foto/$ank[id]/$gallery[id]/$foto[id]/]$foto[name][/url]).  Оценка на +4";
mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$ank[id]', '$ratfoto4', '$time')");


mysql_query("UPDATE `gallery_foto` SET `rating` = '".($foto['rating']+4)."' WHERE `id` = '$foto[id]' LIMIT 1",$db);
mysql_query("INSERT INTO `gallery_rating` (`id_user`, `id_foto`) values('$user[id]', '$foto[id]')",$db);
msg ('Ваш положительный отзыв принят');$foto=mysql_fetch_array(mysql_query("SELECT * FROM `gallery_foto` WHERE `id` = $foto[id] LIMIT 1"));}

if(isset($_GET['rating']) && $_GET['rating']=='5'){
$ratfoto5="Обитатель [url=/info.php?id=$user[id]]$user[nick][/url] , Проголосовал за одну из ваших фотографии ([url=/foto/$ank[id]/$gallery[id]/$foto[id]/]$foto[name][/url]).  Оценка на +5";
mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$ank[id]', '$ratfoto5', '$time')");


mysql_query("UPDATE `gallery_foto` SET `rating` = '".($foto['rating']+5)."' WHERE `id` = '$foto[id]' LIMIT 1",$db);
mysql_query("INSERT INTO `gallery_rating` (`id_user`, `id_foto`) values('$user[id]', '$foto[id]')",$db);
msg ('Ваш положительный отзыв принят');$foto=mysql_fetch_array(mysql_query("SELECT * FROM `gallery_foto` WHERE `id` = $foto[id] LIMIT 1"));}
}

if (isset($_POST['msg']) && isset($user))
{
$msg=$_POST['msg'];
if (isset($_POST['translit']) && $_POST['translit']==1)$msg=translit($msg);

$mat=antimat($msg);
if ($mat)$err[]='В тексте сообщения обнаружен мат: '.$mat;

if (strlen2($msg)>1024){$err='Сообщение слишком длинное';}
elseif (strlen2($msg)<2){$err='Короткое сообщение';}
elseif (mysql_result(mysql_query("SELECT COUNT(*) FROM `gallery_komm` WHERE `id_foto` = '$foto[id]' AND `id_user` = '$user[id]' AND `msg` = '".mysql_escape_string($msg)."' LIMIT 1"),0)!=0){$err='Ваше сообщение повторяет предыдущее';}
elseif(!isset($err)){

if ($ank['id']!=$user['id'])mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$ank[id]', '$user[nick] оставил [url=/foto/$ank[id]/$gallery[id]/$foto[id]/]комментарий к вашему фото[/url]', '$time')");

mysql_query("INSERT INTO `gallery_komm` (`id_foto`, `id_user`, `time`, `msg`) values('$foto[id]', '$user[id]', '$time', '".my_esc($msg)."')");
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']+1)."' WHERE `id` = '$user[id]' LIMIT 1");
msg('Сообщение успешно добавлено');
}
}

if (user_access('foto_komm_del') && isset($_GET['delete']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `gallery_komm` WHERE `id`='".intval($_GET['delete'])."' AND `id_foto`='$foto[id]' LIMIT 1"),0)!=0)
{
mysql_query("DELETE FROM `gallery_komm` WHERE `id`='".intval($_GET['delete'])."' LIMIT 1");
admin_log('Фотогалерея','Фотографии', "Удаление комментария к фото [url=/info.php?id=$ank[id]]$ank[nick][/url]");
msg('Комментарий успешно удален');
}

err();
#############################################
if($user['ank_d_r']!=NULL && $user['ank_m_r']!=NULL && $user['ank_g_r']!=NULL){
$user['ank_age']=date("Y")-$user['ank_g_r'];
if(date("n")<$user['ank_m_r']){
$user['ank_age']=$user['ank_age']-1;
}else if(date("n")==$user['ank_m_r']&& date("j")<$user['ank_d_r']){
$user['ank_age']=$user['ank_age']-1;
}
}

if ($foto['sex']==1 && $user['ank_age']<18 && $user['id']!=$ank['id'] && $user['level']<1){
echo '<div class="err">Данный файл 18+! Вам нет 18 лет или Вы не указали сколько Вам лет. Просмотр для Вас закрыт.</div>';
}else{
################################################################################
echo "<div class='enk_foto'>\n";
echo "<center>\n";
if ($set['web'])
{
echo "<img class='show_foto' src='/foto/foto640/$foto[id].$foto[ras]' alt='$foto[name]' /><br />\n";
}else{
echo "<img class='show_foto' src='/foto/foto128/$foto[id].$foto[ras]' alt='$foto[name]' /><br />\n";
}
echo "</center>\n";

if ($foto['opis']!=null)echo esc(trim(br(bbcode(smiles(links(stripcslashes(htmlspecialchars($foto['opis']))))))))."<br />\n";
else 
echo "Описание отсутствует<br/>\n";


//if ($foto['opis']!=null)
//echo esc(trim(br(bbcode(smiles(links(stripcslashes(htmlspecialchars($foto['opis']))))))))."<br />\n";
echo "</div>\n";
################################################################################
echo "<div class='enk_div'>\n";
echo "<a href='/foto/foto0/$foto[id].$foto[ras]' title='Скачать оригинал'>";
echo "<img src='/style/images/081.png' alt='enk' /> Скачать оригинал";
echo " (".size_file(filesize(H.'sys/gallery/foto/'.$foto['id'].'.jpg')).")";
echo "</a><br />\n";
echo "<img src='/style/images/083.png' alt='enk' /> Рейтинг: $foto[rating]<br />\n";
if (isset($user) && $user['id']!=$ank['id'] && $user['balls']>=0 && $user['rating']>=0 && mysql_result(mysql_query("SELECT COUNT(*) FROM `gallery_rating` WHERE `id_user` = '$user[id]' AND `id_foto` = '$foto[id]'"), 0)==0)
{

echo " <a href=\"?id=$foto[id]&amp;rating=1\" title=\"Отдать положительный голос\"> <img src='/style/images/rating/1.png'></a>|";
echo " <a href=\"?id=$foto[id]&amp;rating=2\" title=\"Отдать положительный голос\"> <img src='/style/images/rating/2.png'></a>|";
echo " <a href=\"?id=$foto[id]&amp;rating=3\" title=\"Отдать положительный голос\"> <img src='/style/images/rating/3.png'></a>|";
echo " <a href=\"?id=$foto[id]&amp;rating=4\" title=\"Отдать положительный голос\"> <img src='/style/images/rating/4.png'></a>|";
echo " <a href=\"?id=$foto[id]&amp;rating=5\" title=\"Отдать положительный голос\"> <img src='/style/images/rating/5.png'></a>";

echo "<br />\n";
}
echo "</div>\n";
}
################################################################################
if (user_access('foto_foto_edit') && $ank['level']<$user['level'] || isset($user) && $ank['id']==$user['id'])
include 'inc/gallery_show_foto_form.php';


$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `gallery_komm` WHERE `id_foto` = '$foto[id]'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
if ($k_post==0)
{
?>
<div class='noy'>Нет комментариев</div>
<?
}

$q=mysql_query("SELECT * FROM `gallery_komm` WHERE `id_foto` = '$foto[id]' ORDER BY `id` ASC LIMIT $start, $set[p_str]");
while ($post = mysql_fetch_assoc($q))
{
$ank2=mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id` = '$post[id_user]' LIMIT 1"));
if($num==1){
echo "<div class='enk_div'>\n";
$num=0;
}else{
echo "<div class='enk2_div'>\n";
$num=1;}

echo "".status($ank2['id'])." ";

echo "<a href='/info.php?id=$ank2[id]'><span style='color:$ank2[ncolor]'>$ank2[nick]</span></a>\n";
echo "".medal($ank['id'])." (".vremja($post['time']).")<br />";

echo output_text($post['msg'])."<br />\n";
if (user_access('foto_komm_del')) echo " <a href='?delete=$post[id]' title='Удалить комментарий'>Удалить</a>";
echo "</div>\n";
}



if ($k_page>1)str('?',$k_page,$page); // Вывод страниц


if (isset($user))
{
echo "<div class='enk_div'>\n";
echo "<form method='post' name='message' action='?$passgen'>\n";
echo "Сообщение:<br />\n<textarea name='msg'></textarea><br />\n";
if ($user['set_translit']==1)echo "<label><input type='checkbox' name='translit' value='1' /> Транслит</label><br />\n";
echo "<input value=\"Отправить\" type=\"submit\" />\n";
echo "</form>\n";
echo "</div>\n";
}

echo "<div class='enk_div'>\n";
echo "• <a href='/foto/$ank[id]/$gallery[id]/'>К фотографиям</a><br />\n";
echo "• <a href='/foto/$ank[id]/'>К фотоальбомам</a><br />\n";
echo "</div>\n";
include_once '../sys/inc/tfoot.php';
exit;
?>